package cn.com.qmth.examcloud.core.questions.service.themispaper;

import java.util.List;

import cn.com.qmth.examcloud.core.questions.dao.entity.PaperDetailUnit;
import cn.com.qmth.examcloud.core.questions.dao.entity.Question;

/**
 * @author chenken
 * @date 2017年7月25日 上午9:51:37
 * @company QMTH
 * @description ComputerTestQuestion.java
 */
public class ThemisAnswerContent {

    /**
     * 小题号或套题内子题序号
     */
    private Integer number;
    /**
     * 子题
     */
    private List<ThemisAnswerContent> subQuestions;

    /**
     * 答案
     */
    private Object answer;

    public ThemisAnswerContent() {
    }

    public ThemisAnswerContent(PaperDetailUnit paperDetailUnit) {
        this.number = paperDetailUnit.getNumber();
//        this.score = paperDetailUnit.getScore();
//        this.structType = paperDetailUnit.getQuestionType().getId();
    }
    public ThemisAnswerContent(Question question) {
//        this.score = question.getScore();
//        this.structType = question.getQuestionType().getId();
    }
    public Integer getNumber() {
        return number;
    }

    public void setNumber(Integer number) {
        this.number = number;
    }


    public List<ThemisAnswerContent> getSubQuestions() {
        return subQuestions;
    }

    public void setSubQuestions(List<ThemisAnswerContent> subQuestions) {
        this.subQuestions = subQuestions;
    }


    public Object getAnswer() {
        return answer;
    }

    public void setAnswer(Object answer) {
        this.answer = answer;
    }

}

